//+------------------------------------------------------------------+
//|                                                  ATR Levels2.mq4 |
//|                                                  Sergey Iljukhin |
//|                                                  sergey@tibet.ru |
//+------------------------------------------------------------------+
#property copyright "Sergey Iljukhin"
#property link      "mailto:sergey@tibet.ru"

#property indicator_chart_window
#property indicator_buffers 4
#property indicator_color1 Magenta 
#property indicator_color2 IndianRed 
#property indicator_color3 Magenta 
#property indicator_color4 IndianRed 
#property indicator_style2 STYLE_DOT
#property indicator_style4 STYLE_DOT

extern int ATRPeriod = 10;         
extern int DayShift  = 0;
double UpLine1[],UpLine2[],DnLine1[],DnLine2[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
int init()
{
   SetIndexBuffer(0,UpLine1); SetIndexLabel(0,"Up Channel 1");
   SetIndexBuffer(1,UpLine2); SetIndexLabel(1,"Up Channel 2");
   SetIndexBuffer(2,DnLine1); SetIndexLabel(2,"Down Channel 1");
   SetIndexBuffer(3,DnLine2); SetIndexLabel(3,"Down Channel 2");
   IndicatorShortName("ATR levels ("+ATRPeriod+")");
   return(0);
}
int deinit() { return(0); }
int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
           int limit= MathMin(MathMax(Bars-counted_bars,iBarShift(NULL,0,iTime(NULL,PERIOD_D1,0))),Bars-1);
           if(Period() > PERIOD_H4) return(-1);

   //
   //
   //
   //
   //
   
   for(int i=limit; i>=0; i--)
   {
      int y = iBarShift(NULL,PERIOD_D1,Time[i]);
        double atr = iATR(NULL, PERIOD_D1, ATRPeriod,y+1+DayShift);
         DnLine1[i] = iHigh(NULL,PERIOD_D1,y+0+DayShift)-atr;
         DnLine2[i] = iHigh(NULL,PERIOD_D1,y+1+DayShift)-atr;
         UpLine2[i] = iLow (NULL,PERIOD_D1,y+1+DayShift)+atr;
         UpLine1[i] = iLow (NULL,PERIOD_D1,y+0+DayShift)+atr;
   }
   return(0);
}